summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2007-08-13 17:56:44 +0000
committerFabian Groffen <grobian@gentoo.org>2007-08-13 17:56:44 +0000
commitc29e478638d4fc6180b8c1761016d1023566227a (patch)
tree5b16a8b7f29fff508b1ca4286f9644eb3cd50beb
parentadd gnustep-apps/etoile-system (diff)
downloadprefix-c29e478638d4fc6180b8c1761016d1023566227a.tar.gz
prefix-c29e478638d4fc6180b8c1761016d1023566227a.tar.bz2
prefix-c29e478638d4fc6180b8c1761016d1023566227a.zip
It helps when you export the src_unpack function.
svn path=/prefix-overlay/; revision=263
-rw-r--r--eclass/gnustep-base.eclass5
1 files changed, 4 insertions, 1 deletions
diff --git a/eclass/gnustep-base.eclass b/eclass/gnustep-base.eclass
index 398bf8b..3f05026 100644
--- a/eclass/gnustep-base.eclass
+++ b/eclass/gnustep-base.eclass
@@ -44,11 +44,14 @@ gnustep-base_src_unpack() {
if [[ -f ./GNUmakefile ]] ; then
# kill stupid includes that are simply overdone or useless on normal
# Gentoo, but (may) cause major headaches on Prefixed Gentoo
+ ebegin "Cleaning paths from GNUmakefile"
sed -i \
-e 's|-I/usr/X11R6/include||g' \
+ -e 's|-I/usr/include||g' \
-e 's|-L/usr/X11R6/lib||g' \
-e 's|-L/usr/lib||g' \
GNUmakefile
+ eend $?
fi
}
@@ -164,4 +167,4 @@ egnustep_doc() {
fi
}
-EXPORT_FUNCTIONS pkg_setup src_compile src_install pkg_postinst
+EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst